<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$ID = intval($_GET['id']);
if (isset($_GET['id']) && $_GET['id']!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm` WHERE `id` = '".intval($_GET['id'])."'"),0)!=0){	
$comm = get_comm($ID);
$set['title']='Новости сообщества '.text($comm['name']).''; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();

//======================Начало приватности сообщества===============================//
	if(isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_blacklist` WHERE `id_user` = '$user[id]' AND `id_comm` = '$comm[id]' && (`time_ban` > '$time' OR `navsegda` = '1')"),0)!=0){
	echo'<div class="mess">Вы были забанены ';
	$banned = mysql_fetch_array(mysql_query("SELECT * FROM `comm_blacklist` WHERE `id_user` = '$user[id]' AND `id_comm` = '$comm[id]'"));
	$bancon = mysql_fetch_array(mysql_query("SELECT * FROM `comm_user` WHERE `id_user` = '$banned[id_ban]' AND `id_comm` = '$comm[id]'"));
	if($bancon['level']==1){
		echo 'модератором ';
	}elseif($bancon['level']==2){
		echo 'администратором ';
	}elseif($bancon['level']==3){
		echo 'создателем ';
	}
	echo group($bancon['id_user']);
	echo user::nick($bancon['id_user'],1,1,1);
	if($banned['navsegda']==1){
		echo' навсегда!';
	}else{
		$timefe = $banned['time_ban']-$banned['time'];
		echo ' на ';
		if($timefe>3600){
			$timef = $timefe/3600;
			$timefe = floor($timef);
			
			$timem = $timef-$timefe;
			if($timem==0){
			echo''.$timefe.' часов!';
			}else{
				$timem = round($timem*60);
				echo''.$timefe.' часов '.$timem.' минут!';
			}
		}elseif($timefe<3600){
			$timef = $timefe/60;
			$timefe = round($timef);
			echo''.$timefe.' минут!';
		}
		echo ' <small>';
		echo vremja($banned['time']);
		echo '</small>';
	}
		echo "</div><div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='/comm/cat.php?id=$comm[id_category]'>Назад в категорию</a></div>"; 
		include_once '../sys/inc/tfoot.php';
		exit;
	}
	//===========================================//
	if($comm['close']==1 && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_user` WHERE `id_comm` = '".intval($comm['id'])."' AND `id_user` = '$user[id]'"),0)==0){
		echo'<div class="mess">Сообщество закрыто для чтения!</div>';
		echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='/comm/$comm[id]/'>В сообщество</a></div>";
		include_once '../sys/inc/tfoot.php';
		exit;
	}
	//================Конец приватности сообщества=====================//
$admin = mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_user` WHERE `id_user` = '".intval($user['id'])."' AND `id_comm` = '$ID' AND `level` > '1'"),0);
if ($admin!=0 && isset($user) && isset($_GET['act']) && $_GET['act']=='add'){
	if (isset($_POST['name']) && isset($_POST['create']) && isset($_POST['news']))
	{
		
		$name = my_esc($_POST['name']);
		if (strlen2($name)>25){ $err[] = "Название содержит более 25 символов"; }
		if (strlen2($name)<3){ $err[] = "Название содержит менее 3 символов"; }
		$mat = antimat($name);
		if ($mat)$err[] = "В названии новости обнаружен мат: $mat";
		$news = my_esc($_POST['news']);
		if (strlen2($news)>1024){ $err[] = "Текст новости содержит более 1024 символов"; }
		if (strlen2($news)<3){ $err[] = "Текст новости содержит менее 3 символов"; }
		$mat = antimat($news);
		if ($mat)$err[] = "В тексте новости обнаружен мат: $mat";
		err();
		if (!isset($err)){
		mysql_query("INSERT INTO `comm_news` (`title`, `msg`, `id_comm`, `id_user`, `time`) values('$name', '$news', '$ID', '$user[id]', '$time')");
		$newsidd = mysql_insert_id();
		//====================Рейтинг и лента===========================//
		$rating = $comm['rating_tmp']+1;
		mysql_query("UPDATE `comm` SET `rating_tmp` = '$rating' WHERE `id` = '$comm[id]' LIMIT 1");
		$user_lenta=mysql_query("SELECT * FROM `comm_user` WHERE `id_comm` = '$comm[id]'");
		while($posts = mysql_fetch_assoc($user_lenta))
		{
		if($posts['id_user']!=$user['id']){
		mysql_query("INSERT INTO `comm_lenta` (`id_object` , `id_comm` , `id_user` , `type` , `time`) 
		VALUES ('".intval($newsidd)."', '".intval($comm['id'])."', '$posts[id_user]', 'news', '$time')");
		}
		}
		//==================The End====================================//
		$_SESSION['message'] = 'Новость '.$name.' успешно создана';
		header("Location: ?");
		exit;
	}
		
	}
	echo "<form method=\"post\" name='create_comm' action=\"?act=add\">";
	echo "Название новости:<br />\n";
echo "<input name=\"name\" type=\"text\" maxlength='32' value='' /><br />\n";
	echo "Текст новости:$tPanel<textarea name=\"news\"></textarea><br />\n";
	echo "<input name=\"create\" value=\"Создать\" type=\"submit\" /><br />\n";
	echo "</form>\n";
	echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='?'>Назад</a></div>";
	include_once '../sys/inc/tfoot.php';
	exit;
}
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_news` WHERE `id_comm` = '".intval($ID)."'"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];
if ($k_post == 0)
{
	echo '<div class="mess" id="no_object">';
	echo 'Нет новостей';
	echo '</div>';
}
// Выборка новостей
$q = mysql_query("SELECT * FROM `comm_news` WHERE `id_comm` = '".intval($ID)."' ORDER BY `time` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
	// Лесенка
	echo '<div class="' . ($num % 2 ? "nav1" : "nav2") . '">';
	$num++;
	echo '<a id="link_menu" href="/comm/readnews/' . $post['id'] . '/"><img src="/style/icons/rss.png" alt="*" /> ' . text($post['title']) . '</a> ';
	
	// Колличество комментариев
	echo '(' . mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_news_komm` WHERE `id_news` = '$post[id]'"),0) . ')<br />';
	
	// Часть текста
	echo '<div class="text">' . output_text($post['msg']) . '</div>';
	
	echo '<a href="/comm/readnews/' . $post['id'] . '/">Читать далее &gt;&gt;&gt;</a>';
	
	
	echo'</div>';
}
if ($k_page>1)str("?",$k_page,$page);
if ($admin!=0 && isset($user)){
	echo '<div class="foot">';
	echo '<img src="/style/icons/ok.gif" alt="*" />  <a href="?act=add">Создать новость</a><br />';	
	echo '</div>';
}
echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='/comm/$ID/'>В сообщество</a></div>";
}else{
	header("Location: /");
}
include_once '../sys/inc/tfoot.php';
?>